Gecode::Int::BinPacking Namespace Reference

Bin-packing propagators More...

## Classes

class | Item
| Item combining bin and size information. More...
class | SizeSet
| Size sets. More...
class | SizeSetMinusOne
| Size sets with one element discarded. More...
class | Pack
| Bin-packing propagator. More...
class | ConflictGraph
| Graph containing conflict information. More...
class | TellCache
| Record tell information. More...

## Functions

bool | operator== (const Item &i, const Item &j)
| Whether two items are the same.
bool | operator!= (const Item &i, const Item &j)
| Whether two items are not the same.
bool | operator< (const Item &i, const Item &j)
| Order, also for sorting according to size.

## Detailed Description

Bin-packing propagators

## Function Documentation

## operator==()

bool Gecode::Int::BinPacking::operator== | ( | const Item & | i,
|  | const Item & | j )

inline

Whether two items are the same.

Definition at line 72 of file propagate.hpp.

## operator!=()

bool Gecode::Int::BinPacking::operator!= | ( | const Item & | i,
|  | const Item & | j )

inline

Whether two items are not the same.

Definition at line 76 of file propagate.hpp.

## operator<()

bool Gecode::Int::BinPacking::operator< | ( | const Item & | i,
|  | const Item & | j )

inline

Order, also for sorting according to size.

For sorting according to size.

Definition at line 81 of file propagate.hpp.